// Minecraft Standalone Client
// Copyright (C) 2009-2010 Colin Bartolome
// Licensed under the GPL. See LICENSE.txt for details.

import java.net.URL;
import java.util.*;

import net.minecraft.client.MinecraftApplet;

public class MainApplet extends MinecraftApplet
{
   private Map<String, String> parameters;
   
   public MainApplet(Main main)
   {
      super();
      
      parameters = new HashMap<String, String>();
   }
   
   @Override
   public URL getCodeBase()
   {
      try
      {
         return new URL("http://www.minecraft.net/indev/");
      }
      catch (Exception e)
      {
         System.err.println("Exception: " + e.toString());
         
         return null;
      }
   }
   
   @Override
   public URL getDocumentBase()
   {
      try
      {
         return new URL("http://www.minecraft.net/indev/index.jsp");
      }
      catch (Exception e)
      {
         System.err.println("Exception: " + e.toString());
         
         return null;
      }
   }
   
   public void putParameter(String name, String value)
   {
      System.err.println("put: " + name + ", " + value);
      parameters.put(name, value);
   }
   
   @Override
   public String getParameter(String name)
   {
      String value = parameters.get(name);
      
      return value == null ? null : value;
   }
   
   @Override
   public void init()
   {
      super.init();
   }
}
